<?php

session_start();

header("Access-Control-Allow-Origin: *");

require_once("./conexao.php");

$conn = conn();
$loja_id = $_SESSION['loja'];

if (!empty($_POST['produto_solicitado']) && !empty($_POST['qtd_solicitada'])) {

  $var = $_POST;
  
  if ($loja_id != 'todas') {
    
    $solicitar = mysqli_query($conn, "INSERT INTO processos_iniciados(id_user, loja_id) VALUES('".$_SESSION['id_user']."', $loja_id)");
  } else {

    $solicitar = mysqli_query($conn, "INSERT INTO processos_iniciados(id_user, loja_id) VALUES('".$_SESSION['id_user']."', NULL)");
  }


  if ($solicitar) {

    $idSolicitacao = mysqli_fetch_array(mysqli_query($conn, "SELECT MAX(id) as id FROM processos_iniciados"));



    //salvar os produtos na tabela

    for ($cc=0;$cc<count($_POST['produto_solicitado']);$cc++) {

      $setProduto = mysqli_query($conn, "INSERT processos_produtos(id_produto,qtd_produto,id_processo) 

        VALUES('".$_POST['produto_solicitado'][$cc]."','".$_POST['qtd_solicitada'][$cc]."','$idSolicitacao[0]')");

    }



    $addGerenciamento = mysqli_query($conn, "INSERT INTO processos_gerenciamento(id_processo_iniciado,id_user,id_processo) 

    VALUES('$idSolicitacao[0]','".$_SESSION['id_user']."','1')");

    $var = array(

      'status'  => true,

      'msg'     => 'Solicitação feita com sucesso!'

    );

  } else {

    $var = array(

      'status'  => false,

      'msg'     => 'Falha na solicitação, tente novamente.'

    );

  }

} else {

  $var = array(

    'status'  => false,

    'msg'     => 'Todos os campos são obrigatórios.'

  );

}



echo json_encode($var); 